/* -- Global -- */

/* -- Keyframe Animations -- */

/* Animations */

@keyframes marquee {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

@keyframes marqueeBack {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(100%);
  }
}

@keyframes marqueeRev {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-100%);
  }
}

/* Animation's usage */

.member_card-marquee .member_card-marquee_line {
  animation: marquee 25s linear infinite;
}

.member_card-marquee.is--right .member_card-marquee_line,
.member_card-marquee.is--left .member_card-marquee_line {
  animation: marqueeRev 25s linear infinite;
}

.member_label-marquee:first-child .member_label-marquee_line {
  animation: marquee 15s linear infinite;
}

.member_label-marquee:last-child .member_label-marquee_line {
  animation: marquee 25s linear infinite;
}

.member_label-marquee:nth-child(2) .member_label-marquee_line {
  animation: marqueeBack 25s linear infinite;
}

.member_label-marquee:nth-child(2) {
  justify-content: flex-end;
}

.member_label-marquee:nth-child(3) .member_label-marquee_line {
  animation: marqueeBack 25s linear infinite;
}

.member_label-marquee:nth-child(3) {
  justify-content: flex-end;
}

.member_label-marquee:nth-child(3)
  .member_label-marquee_line
  .member_label-marquee_item:first-child,
.member_label-marquee:nth-child(3)
  .member_label-marquee_line
  .member_label-marquee_item:nth-child(3) {
  opacity: 0.5;
}

/* -- -- */
@media (min-width: 990px) {
  .member_card-info {
    opacity: 0;
  }

  .member_label-marquee,
  .member_card-info,
  .member_card-profile {
    transition: all 350ms cubic-bezier(0.77, 0, 0.175, 1);
  }

  .member-card:hover .member_label-marquee:nth-child(1),
  .member-card:hover .member_label-marquee:nth-child(4) {
    transform: translateX(-100%);
  }

  .member-card:hover .member_label-marquee:nth-child(2) {
    transform: translateX(100%);
  }

  .member-card:hover .member_card-profile {
    scale: 0;
    opacity: 0;
  }

  .member-card:hover .member_card-info {
    cursor: pointer;
    opacity: 1;
  }
}

/* -- -- */

.portfolio-item:hover .portfolio-date {
  color: black;
}

.portfolio-date {
  transition: all 150ms ease;
}

@media (max-width: 1390px) and (min-width: 1200px) {
  .member_card-info_content {
    font-size: 0.725rem;
    line-height: 1.5;
  }
}

@media (max-width: 1199px) and (min-width: 1050px) {
  .member_card-info_content {
    font-size: 0.625rem;
    line-height: 1.5;
  }
}

@media (max-width: 1049px) and (min-width: 990px) {
  .member_card-info_content {
    font-size: 0.575rem;
    line-height: 1.5;
  }
}
